part of credit_points;

class CreditPointController extends GetxController {
  final String price;
  CreditPointController(this.price);
  CreditPointModel creditPointModel = CreditPointModel();

  bool use = false;





  @override
  void onReady() {
    _getCreditPoints(price: price);
    super.onReady();
  }

  void setUse(){
    use = !use;
    update();
  }


  void _getCreditPoints({
    required String price
  }) async {
    creditPointModel = await ShopAPI.creditPoints(price: price);
    update();
  }

}



